Package org.opensaml.soap.wstrust

# Interface SignChallengeType

All Superinterfaces:
  `AttributeExtensibleXMLObject`, `ElementExtensibleXMLObject`, `WSTrustObject`, `XMLObject`

All Known Subinterfaces:
  `SignChallenge`, `SignChallengeResponse`

All Known Implementing Classes:
  `SignChallengeImpl`, `SignChallengeResponseImpl`, `SignChallengeTypeImpl`

public interface SignChallengeType extends AttributeExtensibleXMLObject, ElementExtensibleXMLObject, WSTrustObject
SignChallengeType complex type.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`Challenge`
`getChallenge()`
Returns the wst:Challenge child element.
`void`
`setChallenge(Challenge challenge)`
Sets the wst:Challenge child element.

### Methods inherited from interface org.opensaml.core.xml.AttributeExtensibleXMLObject

`getUnknownAttributes`

### Methods inherited from interface org.opensaml.core.xml.ElementExtensibleXMLObject

`getUnknownXMLObjects, getUnknownXMLObjects`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getChallenge

@Nullable Challenge getChallenge()
Returns the wst:Challenge child element.

Returns:
  the `Challenge` child element or `null`.

### setChallenge

void setChallenge(@Nullable Challenge challenge)
Sets the wst:Challenge child element.

Parameters:
  `challenge` - the `Challenge` child element to set.